apiVersion: apps/v1
kind: Deployment
metadata:
  name: _APP_NAME_
  labels:
    app: _APP_NAME_
spec:
  replicas: 1
  selector:
    matchLabels:
      app: _APP_NAME_
  
  # Pod template
  template:
    metadata:
      labels:
        app: _APP_NAME_
    spec:
      containers:
        - name: test
          image: registry.gitlab.com/brunomacf/kube-test:_VERSION_
          imagePullPolicy: Always
          ports:
            - containerPort: 80
      imagePullSecrets:
        - name: gitlab-registry
---
apiVersion: v1
kind: Service
metadata:
  name: _APP_NAME_
  labels:
    app: _APP_NAME_
spec:
  type: LoadBalancer
  ports:
    - port: 80
      targetPort: 80
      protocol: TCP
      name: http
  selector:
      app: _APP_NAME_
